ExtendedAccessLogValve.CookieElement (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: ExtendedAccessLogValve, class: CookieElement

# Class ExtendedAccessLogValve.CookieElement

java.lang.Object
org.apache.catalina.valves.ExtendedAccessLogValve.CookieElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `ExtendedAccessLogValve`

protected static class ExtendedAccessLogValve.CookieElement extends Object implements AbstractAccessLogValve.AccessLogElement
Log element that outputs the value(s) of a named cookie.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CookieElement(String name)`
  Creates a new CookieElement for the specified cookie name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Called to create an access log entry.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### CookieElement

    public CookieElement(String name)
    Creates a new CookieElement for the specified cookie name.
    Parameters:
      `name` - the name of the cookie

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
    Called to create an access log entry.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request